<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout3}">
<head>
  <meta charset="UTF-8">
  <title>Dashboard</title>
</head>
<body>
<!--<main layout:fragment="main"-->
<!--      class="container-xxl bd-gutter mt-3 my-md-4">-->
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
  <div class="row">
    <div class="col-md-12">
      <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
        <span th:text="${'Welcome '+#authentication.principal.fullName}"></span>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <div class="border-bottom border-top bg-transparent p-3 mb-3 bg-body small">
        <i class="fa fa-calendar-day me-2" style="color: rgba(78,138,18,0.64); font-size: 1.5rem;"></i>
        <span>Time Off Quota</span>
        <br>
        <div class="row">
          <div class="col" align="right" th:if="${dashboardTimeOffJenis != null}">
              <span th:if="${statusTimeOff.getStatus().equals('OK')}"><b style="color: rgba(78,138,18,0.64);" th:if="${statusTimeOff.getStatus().equals('OK')}" th:text="${dashboardTimeOffJenis[1] - dashboardTimeOffJenis[2] +' Of '+dashboardTimeOffJenis[0]}"></b></span>
              <span th:if="${statusTimeOff.getStatus().equals('NO')}"><b style="color: rgba(78,138,18,0.64);" th:if="${statusTimeOff.getStatus().equals('NO')}" th:text="${dashboardTimeOffJenis}"></b></span>
          </div>
            <div class="col" align="right" th:if="${dashboardTimeOffJenis == null}">
                <span><b style="color: rgb(131,21,37);">Belum di setting oleh bagian SDM</b></span>
            </div>
        </div>

      </div>
    </div>

    <div class="col-md-6">
      <div class="p-3 mb-3 bg-body border-top border-bottom bg-transparent small">
        <i class="fa fa-user me-2" style="color: rgb(85,126,199); font-size: 1.5rem;"></i>
        <span th:text="${'Total employes : '+jumlahEmployes}"></span>
        <br>
        <div class="row">
          <div class="col" align="right">
            <b style="color: rgb(85,126,199)" class="pull-right" th:text="${jumlahEmployesPria +' Male + '+ jumlahEmployesWanita +' Female'}"></b>
          </div>
        </div>
      </div>
    </div>

    <div class="col-md-6">
      <div class="p-3 mb-3 bg-body border-top border-bottom bg-transparent small">
        <i class="fa fa-cash-register me-2" style="color: rgb(206,156,95); font-size: 1.5rem;"></i>
        <span>Total Salary</span>
        <br>
        <div class="row">
          <div class="col" align="right">
            <b th:if="${toalSalaryPerTahun != null}" style="color: rgb(206,156,95)" class="pull-right" th:text="${#numbers.formatDecimal(toalSalaryPerTahun, 0, 'POINT', 0, 'COMMA')}"></b>
              <b th:if="${toalSalaryPerTahun == null}" style="color: rgb(206,156,95)" class="pull-right" th:text="${'-'}"></b>
          </div>
        </div>
      </div>
    </div>

    <div class="col-md-6">
      <div class="p-3 mb-3 bg-body border-top border-bottom bg-transparent small">
        <i class="fa fa-chart-line me-2" style="color: rgb(124,8,12); font-size: 1.5rem;"></i>
        <span>Your Perdormance</span>
        <br>
        <div class="row">
          <div class="col" align="right">
            <b style="color: rgb(124,8,12)" class="pull-right" th:text="${'10%'}"></b>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-6">
        <div class="p-3 mb-3 bg-transparent border" sec:authorize="hasAuthority('SHARE_ANNOUNCEMENT')">
            <h5>Input Announcement
            </h5>
            <form class="form-horizontal" th:action="@{/announcement/save}" th:object="${announcement}" method="post" enctype="multipart/form-data">
                <div class="mb-3">
                    <textarea class="textarea bg-transparent" th:field="*{isi}" name="isi" placeholder="Place some text here" style="width: 100%; height: 200px; font-size: 14px; line-height: 18px; border: 1px solid #dddddd; padding: 10px;">
                    </textarea>
                    <br>
                </div>
                <div class="mb-3">
                    <div class="row">
                        <div class="col-sm-10">
                            <input type="file" name="file" id="file" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                              <!--                                            <p class="help-block">Attachment.</p>-->
                        </div>
                    </div>
                </div>

                <div class="mb-3">
                    <label for="selectsatu" class="form-label">Publish To</label>
                      <select class="form-select bg-transparent" id="selectsatu" multiple="multiple" name="companies" data-placeholder="Choose one thing" required>
                          <option value="">Select...</option>
                          <option th:each="data : ${listCompanies}"
                                  th:text="${data.companyName}"
                                  th:value="${data.id}">sdasd</option>
                      </select>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <button type="submit" class="btn btn-primary pull-right rounded-pill" style="--bs-btn-bg: #15408d;" id="simpan">Post</button>
                    </div>
                </div>
            </form>
        </div>
            <!-- Post -->
        <div class="p-3 mb-3 bg-transparent small border-top border-bottom">
            <h5><i class="fa fa-newspaper" style="color: #9B7536;"></i> Announcement
                    <!--                                    <small>Simple and fast</small>-->
            </h5>
            <div class="row mb-3 bg-transparent" th:each="dataAnnouncement,row : ${listAnnouncement}">
                <div class="col-md-12 mb-3 p-3 bg-transparent border-bottom border-top small">
                    <i class="fa fa-microphone me-2" style="color: rgb(124,8,12);"></i>
                    <span class="me-2">
                        <b th:text="${dataAnnouncement.getFullName()}">Jonathan Burke Jr.</b></span>
                        <span class="me-2" th:text="${#temporals.format(dataAnnouncement.getDateUpdate(),'dd-MMM-yyyy hh:mm')}">Shared publicly - 7:30 PM today</span>
                </div>
                <div class="col-md-12 mb-3 p-3 bg-transparent border-bottom">
                    <p style="white-space: pre-wrap" th:utext="${dataAnnouncement.getIsi()}">Content</p>

                </div>
                <div class="col-md-12 mb-3 p-3 bg-transparent border-bottom small" th:if="${dataAnnouncement.getFileUpload() != null and dataAnnouncement.getFileUpload() != '' and dataAnnouncement.getFileUpload() != 'default.jpg'}">
                    <a th:href="@{/announcement/{announcement}/file/(announcement = ${dataAnnouncement.getId()})}" class="mailbox-attachment-name"><i class="bi bi-file-earmark-arrow-down" style="font-size: 2rem; color: cornflowerblue;"></i>Download Attachement</a>
                </div>
            </div>
            <br>
            <ul class="pagination bg-transparent pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
    <div class="col-md-6">
        <div class="col-md-12">
<!--                    <div class="row">-->
<!--                        <div class="col-md-4 mb-3">-->
<!--                            <div class="d-grid gap-2">-->
<!--                                <a th:href="@{/my/attendance}" class="btn btn-outline-primary bg-transparent" style="&#45;&#45;bs-btn-color: #15408d; &#45;&#45;bs-btn-hover-bg: #15408d; &#45;&#45;bs-btn-border-color: #a0a8ad; &#45;&#45;bs-btn-border-width: 1px;"><i class="fa fa-calendar-check-o me-2" style="color: rgba(191,243,139,0.64); font-size: 1rem;"></i> My Attendance</a>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="col-md-4 mb-3">-->
<!--                            <div class="d-grid gap-2">-->
<!--                                <a th:href="@{/my/payslip}" class="btn btn-outline-primary bg-transparent" style="&#45;&#45;bs-btn-color: #15408d; &#45;&#45;bs-btn-hover-bg: #15408d; &#45;&#45;bs-btn-border-color: #a0a8ad; &#45;&#45;bs-btn-border-width: 1px;"><i class="fa fa-money-bill me-2" style="color: rgb(117,17,222);font-size: 1rem;"></i>My Payslip</a>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="col-md-4 mb-3">-->
<!--                            <div class="d-grid gap-2">-->
<!--                                <a th:href="@{/my/thrSlip}" class="btn btn-outline-primary bg-transparent" style="&#45;&#45;bs-btn-color: #15408d; &#45;&#45;bs-btn-hover-bg: #15408d; &#45;&#45;bs-btn-border-color: #a0a8ad; &#45;&#45;bs-btn-border-width: 1px;"><i class="fa fa-money-bill-alt me-2" style="color: rgb(206,156,95);font-size: 1rem;"></i>My THR Slip</a>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="col-md-4 mb-3">-->
<!--                            <div class="d-grid gap-2">-->
<!--                                <a th:href="@{/my/loan}" class="btn btn-outline-primary bg-transparent" style="&#45;&#45;bs-btn-color: #15408d; &#45;&#45;bs-btn-hover-bg: #15408d; &#45;&#45;bs-btn-border-color: #a0a8ad; &#45;&#45;bs-btn-border-width: 1px;"><i class="fa fa-credit-card me-2" style="color: rgb(124,8,12);font-size: 1rem;"></i>My Loan</a>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
            <div class="row" th:if="${#lists.size(listExpiredKontrak) > 0}" sec:authorize="hasAuthority('MENU_EMPLOYES')">
                <div class="col-md-12">
                    <h4>Employee Status</h4>
                    <div class="border-top border-bottom bg-transparent table-responsive tableFixHead">
                        <table id="example2" class="table table-striped table-hover small">
                            <thead>
                            <tr>
                                <th class="border-0 border-top border-bottom table-dark text-end" style="background: #15408d">#</th>
                                <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Employee</th>
                                <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Type</th>
                                <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Status</th>
                                <!--                               <th class="border-0 border-top border-bottom">Status</th>-->
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="dateExpired,row : ${listExpiredKontrak}">
                                <td class="border-0 border-top border-bottom text-end" th:text="${(row.index + 1)}">1.</td>
                                <td class="border-0 border-top border-bottom">
                                   <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dateExpired.getFullName()}">
                                   </span>
                                </td>
                                <!--                                <td class="border-0 border-top border-bottom" th:text="${#temporals.format(dateExpired.getExpiredDate(),'dd-MMM-yyyy')}"></td>-->
                                <td class="border-0 border-top border-bottom">
                                   <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dateExpired.getJobStatus()}">
                                   </span>
                                </td>
                                <td class="border-0 border-top border-bottom">
                                   <span th:if="${dateExpired.getDescription() == 'EXPIRED'}" class="d-inline-block text-truncate text-danger" style="max-width: 150px;" th:text="${dateExpired.getDescription()}">
                                   </span>
                                    <span th:if="${dateExpired.getDescription() != 'EXPIRED'}" class="d-inline-block text-truncate text-warning" style="max-width: 150px;" th:text="${dateExpired.getDescription()}">
                                   </span>
                                </td>
                                <!--                               <td class="border-0 border-top border-bottom" th:text="${dataTimeOff.getStatus()}"></td>-->
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <br>

            <div class="row" th:if="${#lists.size(timeOffHariIni) > 0}">
                <div class="col-md-12">
                    <h4>Time Off Today</h4>
                   <div class="border-top border-bottom bg-transparent table-responsive tableFixHead">
                       <table id="example1" class="table table-striped table-hover small">
                           <thead>
                           <tr>
                               <th class="border-0 border-top border-bottom table-dark text-end" style="background: #15408d">#</th>
                               <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Date</th>
                               <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Employee</th>
                               <th class="border-0 border-top border-bottom table-dark" style="background: #15408d">Desc</th>
<!--                               <th class="border-0 border-top border-bottom">Status</th>-->
                           </tr>
                           </thead>
                           <tbody>
                           <tr th:each="dataTimeOff,row : ${timeOffHariIni}">
                               <td class="border-0 border-top border-bottom text-end" th:text="${(row.index + 1)}">1.</td>
                               <td class="border-0 border-top border-bottom" th:text="${#temporals.format(dataTimeOff.getTanggal(),'dd-MMM-yyyy')}"></td>
                               <td class="border-0 border-top border-bottom">
                                   <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dataTimeOff.getNama()}">
                                   </span>
                               </td>
                               <td class="border-0 border-top border-bottom">
                                   <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dataTimeOff.getTimeOff()}">
                                   </span>
                               </td>
<!--                               <td class="border-0 border-top border-bottom" th:text="${dataTimeOff.getStatus()}"></td>-->
                           </tr>
                           </tbody>
                       </table>
                   </div>
                </div>
            </div>
<!--            <div class="row">-->
<!--                <div class="col-md-12">-->
<!--                    <div class="p-3 mb-3 bg-transparent border-bottom">-->
<!--                        <h5>Total Salary Chart</h5>-->
<!--                        <div class="chart" id="bar-chart" style="height: 300px;"></div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->


        </div>
    </div>
  </div>
    </main>
</main>


<section layout:fragment="footer">
    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
    <script src="http://code.jquery.com/jquery-1.8.2.min.js"></script>
    <script src="http://cdn.oesmith.co.uk/morris-0.4.1.min.js"></script>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    $('.simpan').click(function () {
        Swal.fire({
            position: 'top-end',
            type: 'success',
            title: 'Your work has been saved',
            showConfirmButton: false
        })
    });

    $.getJSON("/api/total/payroll",function (json) {
        "use strict";
        //BAR CHART
        var bar = new Morris.Bar({
            element: 'bar-chart',
            resize: true,
            data: json,
            barColors: ['#557ec7'],
            xkey: 'bulan',
            ykeys: ['totalPayroll'],
            labels: ['total salary'],
            hideHover: 'auto'
        });

        Morris.Bar({
            element: 'bar-example',
            data: json,
            xkey: 'bulan',
            ykeys: ['totalPayroll'],
            labels: ['total salary']
        });

        Morris.Bar({
            element: 'chart_bar',
            data: [
                { team: 'Brazil', nb: 5 },
                { team: 'Italy', nb: 4 },
                { team: 'Germany', nb: 4 },
                { team: 'Uruguay', nb: 2 },
                { team: 'Argentina', nb: 2 }
            ],
            xkey: 'team',
            ykeys: ['nb'],
            labels: ['Editions Wins']
        });
    });

    function SHOWGRAPH() {

        $.ajax({
            type: "GET",
            contentType: "application/json; charset=utf-8",
            url: "/api/total/payroll",
            data: "",
            dataType: "json",
            success: function(data) {


                for (var i = 0; i < data.d.length; i++) {

                    Morris.Area({

                        element: 'line-chart',
                        data:data.d,
                        xkey: data.d.bulan,
                        ykeys: [data.d.bulan],
                        hideHover: 'auto',
                        resize: true,

                    })
                };

            }

        });
    }

</script>
</section>
</body>
</html>